package models

import (
	"time"
)

type Client struct {
	ID string `json:"id"`
	// TODO: Add Client fields
	Name      string    `json:"name"`
	CreatedAt time.Time `json:"created_at"`
	UpdatedAt time.Time `json:"updated_at"`
}

// GetID returns the user's ID
func (c *Client) GetID() string {
	return c.ID
}

// SetID sets the user's ID
func (c *Client) SetID(id string) {
	c.ID = id
}
